(Needs mesa 529d1d72) MythTV Frontend does not work with RADEON DRI

Bug #341898 reported by Paul Broadhead on 2009-03-12
190
This bug affects 14 people
Affects Status Importance Assigned to Milestone
MythTV
Invalid
Unknown
X.Org X server
Fix Released
Medium
java-common (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
mesa (Ubuntu)
High
Bryce Harrington
Jaunty
High
Mario Limonciello
Karmic
High
Bryce Harrington
mythtv (Ubuntu)
High
Unassigned
Jaunty
High
Unassigned
Karmic
High
Unassigned
qt-x11-free (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
xorg-server (Ubuntu)
Undecided
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned

Bug Description

Binary package hint: mythtv

Ubuntu jaunty (development branch)
Release: 9.04

mythtv-frontend:
  Installed: 0.21.0+fixes19961-0ubuntu4
  Candidate: 0.21.0+fixes19961-0ubuntu4
  Version table:
 *** 0.21.0+fixes19961-0ubuntu4 0
        500 http://gb.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

Expect mythtv to launch and have visible text. Instead I have blocks of colour and no text.

mythtv front end has been working in Jaunty since I installed it a few weeks ago. At some stage during the last week, an update has broken the package for me. When I launch mythtv, I get a central black box where the loading text use to be, I can still see my desktop. The program hangs there and my desktop is unresponsive. When I hit ESC, the screen changes to a full screen grey box with a black central box. Below the black box is an orange bar and two more grey bars. I can use the arrow keys to move the orange bar down one bar and hit return; this causes the program to exit normally. It looks to me like I am just missing the text.

I have removed (and dpkg --purge) and reinstalled mythtv-frontend but the problem persists. I also deleted my $HOME/.mythtv directory. However, some configure files were left behind in /etc/mythtv; they are just the defaults plus the mysql password.

I have check bugs #93986 and #156983 and I believe they are not related; I did install/confirm I had installed the suggest fonts just in case but I still have the problem.

I do not have compiz active and no other application are acting strange; 3d games etc are fine.

This machine is a Thinkpad X31 with "ATI Technologies Inc Radeon Mobility M6 LY" graphics.

I have attached the output when run from a terminal using "mythfrontend --service"

Related branches

Paul Broadhead (pjbroad) wrote :
description: updated
Paul Broadhead (pjbroad) wrote :

I've just tried the live CD version of Jaunty alpha-6 on the same machine and I have a similar problem with what I presume is the set-up screen - no fonts just the background colours. I also tried the Jaunty alpha-6 image in a virtual-box virtual machine on my desktop (completely different hardware) and the same happens there too. Tomorrow I'll reboot my desktop from live CD and see how that goes.....

Paul Broadhead (pjbroad) wrote :

I tested Mythtv frontend on my desktop system running a Jaunty Alpha 6 live CD and have the same problem, no fonts are displayed. This machine has an no common hardware with by laptop.

Steps to reproduce:
1) Boot from the live CD.
2) Enable Extra software sources.
3) Install sux and mythtv-frontend packages
4) dpkg-reconfigure mythtv-common (as it fails to install properly - will raise a new bug report).
5) Run "mythtvfrontend --service" and accept to be added as a new mythtv user (don't logout though)
6) Start a new shell using "sux - ubuntu" so the group changes take effect.
7) Run "mythtvfrontend --service"

Expected behaviour, get the configuration options. Full screen, text on blue background.
Actual behaviour, full screen blocks of colour but no text.

Bon (ian-bonham) wrote :

I missed this bug report initially so filed the same under https://bugs.launchpad.net/bugs/341898

I had Alpha 5 working perfectly, and an upgrade has broken something which gives me exactly the same problems. As noted in my bug filing, I'm on an ATI X300 graphics card, using xserver-xorg-video-radeon drivers (not the ATI binaries, which I believe have issues under Jaunty anyway). I am running the Painter as QT, forced manually from the shell (but was already set as QT in settings before the upgrade breakage).

Running mythfrontend.real from a shell shows this output (many times) :
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 62
  Minor opcode: 0
  Resource id: 0x3800030
X Error: RenderBadPicture (invalid Picture parameter) 160
  Major opcode: 149
  Minor opcode: 5
  Resource id: 0x3800031

I ran another upgrade this morning at 0930CET, and the bug is still there. The packages installed currently are :
Linux MediaCentre 2.6.28-10-generic #32-Ubuntu SMP Mon Mar 16 02:49:09 UTC 2009 i686 GNU/Linux

Description: Ubuntu jaunty (development branch)
Release: 9.04

mythtv-common:
  Installed: 0.21.0+fixes19961-0ubuntu4
  Candidate: 0.21.0+fixes19961-0ubuntu4
  Version table:
 *** 0.21.0+fixes19961-0ubuntu4 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

mythtv-frontend:
  Installed: 0.21.0+fixes19961-0ubuntu4
  Candidate: 0.21.0+fixes19961-0ubuntu4
  Version table:
 *** 0.21.0+fixes19961-0ubuntu4 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

mythtv-backend:
  Installed: 0.21.0+fixes19961-0ubuntu4
  Candidate: 0.21.0+fixes19961-0ubuntu4
  Version table:
 *** 0.21.0+fixes19961-0ubuntu4 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

xserver-xorg-video-radeon:
  Installed: 1:6.12.0-0ubuntu2
  Candidate: 1:6.12.0-0ubuntu2
  Version table:
 *** 1:6.12.0-0ubuntu2 0
        500 http://es.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Bon (ian-bonham) wrote :

I have also tried launching frontend with the --reset flag, and that also has no effect.

Bon (ian-bonham) wrote :

Based on feedback from Mario Limonciello on my duplicate bug report, it seems the ATI drivers are at fault. I was under the impression (based on the Jaunty release notes) that it was just the ATI Binary fglrx drivers that were at fault, but it seems the open source radeon driver might be hosed as well.

Does your desktop run an ATI card of some sort Paul? I know you mentioned it has no common hardware with the laptop, but if it's ATI graphics in both, that use the same driver family i.e. Radeon, that might help narrow down where we're finding the bug.

Paul Broadhead (pjbroad) wrote :

> Does your desktop run an ATI card of some sort Paul?

No, it has NVIDIA GeForce 7600 GS. As I was runing that machine from the live CD I was using the default driver not the restricted one.

Bon (ian-bonham) wrote :

Ok, thats blown my theory that it is the ATI Radeon drivers right out of the water!

If you launch mythfrontend.real from a shell window, do you see the same X Errors I was reporting?

Bon (ian-bonham) wrote :

Run another dist-upgrade at 0900CET Thursday 19th March 2009 and the problem still exists, even with radeon driver update. It is still the 'X Error' as reported earlier.
Package details after latest upgrade :

mythtv-common:
  Installed: 0.21.0+fixes19961-0ubuntu7
  Candidate: 0.21.0+fixes19961-0ubuntu7
  Version table:
 *** 0.21.0+fixes19961-0ubuntu7 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

mythtv-frontend:
  Installed: 0.21.0+fixes19961-0ubuntu7
  Candidate: 0.21.0+fixes19961-0ubuntu7
  Version table:
 *** 0.21.0+fixes19961-0ubuntu7 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

mythtv-backend:
  Installed: 0.21.0+fixes19961-0ubuntu7
  Candidate: 0.21.0+fixes19961-0ubuntu7
  Version table:
 *** 0.21.0+fixes19961-0ubuntu7 0
        500 http://es.archive.ubuntu.com jaunty/multiverse Packages
        100 /var/lib/dpkg/status

xserver-xorg-video-radeon:
  Installed: 1:6.12.1-0ubuntu1
  Candidate: 1:6.12.1-0ubuntu1
  Version table:
 *** 1:6.12.1-0ubuntu1 0
        500 http://es.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

xserver-xorg-video-all:
  Installed: 1:7.4~5ubuntu16
  Candidate: 1:7.4~5ubuntu16
  Version table:
 *** 1:7.4~5ubuntu16 0
        500 http://es.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

Paul Broadhead (pjbroad) wrote :

> If you launch mythfrontend.real from a shell window, do you see the same X Errors I was reporting?

No the command output looks good. I have applied all the updates to my X31 laptop too and it is still broken. Although I can't see any fonts, if I guess where I'm going I can select "watch tv". While the screen is blank with no picture, I can hear the sound just fine.

Ollie (oweddle) wrote :

I have Ubuntu 9.04 Alpha 6 and get a black rectangular box when I try to run MythTV. After reading through the code after trying to run the backend setup of mythtv, it seems to me like this could be due to the theme directory not having a correct link.
The error codes told me it could not find any themes in "/home/htpc/.mythtv/themes/Mythbuntu-8.04"
First, I have ubuntu 9.04. Second, there is no such directory.
 I did clean installs and no new themes. I am also running ATI Radeon 9000 card which seems to run fine.
Could this be the same issue with you guys? And either way, how would one go about changing that theme directory and whatnot?

Bon (ian-bonham) wrote :

Hi Ollie,

Good call, I've not seen that report as the X Errors fill my shell buffer so badly I can't scroll back.

Themes are in /usr/share/mythtv/themes, so going on your report I did an "ln -s /usr/share/mythtv/themes ./" into my .mythtv directory in my home.

Sadly this did not resolve the problem.

Again I have run a dist-upgrade (0900CET, 20th March 2009), and the issue remains. Considering this bug seems to affect both ATI and Nvidia cards, it must be something between X and Myth I think.

I am deeply disappointed no-one has bothered to register this as a serious bug so far, as the knock-on will have impact on Mythbuntu and anyone using Myth on Jaunty.

I will keep trying to find a solution, but will be away for the weekend so time will be limited there.

Ollie (oweddle) wrote :

Thanks for looking into that, Bon.
I would like to add more info from my experience for anyone else that might be going through the same issues.
I managed to capture a screenshot of the exact error I am getting. Once again, this is after I try going into the backend setup (System...Administration...MythTV Backend Setup).
And still, once again, I am running a fresh install of Ubuntu 9.04 Alpha 6 with MythTV 0.21.0+fixes...

Screenshot attached...

Bon (ian-bonham) wrote :

Hi Ollie,

That is exactly the same as I am getting. You'll find that same thing happens if you run Frontend or Setup. Are you running the Radeon drivers, or the ATI fglrx binary drivers?

What packages do you have installed? "apt-cache policy" with package names will tell you what is on there. Thats' what gives me the output :
xserver-xorg-video-all:
  Installed: 1:7.4~5ubuntu16
  Candidate: 1:7.4~5ubuntu16
  Version table:
 *** 1:7.4~5ubuntu16 0
        500 http://es.archive.ubuntu.com jaunty/main Packages
        100 /var/lib/dpkg/status

for example.

I might try downloading a clean Myth source soon and try compiling it myself. If that works it will be clear that something in the repos is screwed.

Ollie (oweddle) wrote :

I am running the open source radeon driver. I have tried fglrx before with negative results.
My current drivers seem to be working as they did when I was running ubuntu 7.1 with a working mythtv...

htpc@HTPC:~$ glxinfo | grep vendor
server glx vendor string: SGI
client glx vendor string: SGI
OpenGL vendor string: Tungsten Graphics, Inc.
htpc@HTPC:~$ glxinfo | grep "direct rendering"
direct rendering: Yes

And my Packages:

xserver-xorg-video-all:
  Installed: 1:7.4~5ubuntu15
  Candidate: 1:7.4~5ubuntu16
  Version table:
     1:7.4~5ubuntu16 0
        500 http://us.archive.ubuntu.com jaunty/main Packages
 *** 1:7.4~5ubuntu15 0
        100 /var/lib/dpkg/status

Regardless of if my video card is the problem or not (I don't think it is), it's about time for me to get a new one... thinking NVidia this time! I might just do that today. I will try to keep you posted.

The problem doesn't occur with the closed NV drivers. Can someone affected
confirm in testing closed drivers if it persists there?

On Fri, Mar 20, 2009 at 10:20, Ollie <email address hidden> wrote:

> I am running the open source radeon driver. I have tried fglrx before with
> negative results.
> My current drivers seem to be working as they did when I was running ubuntu
> 7.1 with a working mythtv...
>
> htpc@HTPC:~$ glxinfo | grep vendor
> server glx vendor string: SGI
> client glx vendor string: SGI
> OpenGL vendor string: Tungsten Graphics, Inc.
> htpc@HTPC:~$ glxinfo | grep "direct rendering"
> direct rendering: Yes
>
>
> And my Packages:
>
> xserver-xorg-video-all:
> Installed: 1:7.4~5ubuntu15
> Candidate: 1:7.4~5ubuntu16
> Version table:
> 1:7.4~5ubuntu16 0
> 500 http://us.archive.ubuntu.com jaunty/main Packages
> *** 1:7.4~5ubuntu15 0
> 100 /var/lib/dpkg/status
>
>
> Regardless of if my video card is the problem or not (I don't think it is),
> it's about time for me to get a new one... thinking NVidia this time! I
> might just do that today. I will try to keep you posted.
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>
Sent from: Austin Texas United States.

Just tested using the Jaunty alpha 6 live CD on a Dell 6400 (Intel 945GM graphics). Worked perfectly.

Paul Broadhead (pjbroad) wrote :

Using the Jaunty alpha 6 live CD on my nvidia equipped desktop. As before, with the default free drivers, I have the no-font problem. I have attached the output from the "mythfontend --service" command this time. I get the same sort of X errors as Bon.

I then installed the non-free driver (the recommended 180 version) and restarted gdm from a console. "mythfontend --service" now worked perfectly.

Bon (ian-bonham) wrote :

Hi All,

I really appreciate you guys sticking some time into this bug, thanks!

My MediaBox is ATI driven, and as far as I still know, the fglrx binaries are not fun with Jaunty. Certainly when I launched the restricted hardware console, my ATI card was ignored.

I've forced an install of fglrx now from shell/apt. I'm currently backing stuff up, but when thats done I'll try to bring the machine back up using the ATI binaries and then try Myth.

Paul, did your laptop work using the fglrx drivers with Myth?

My feeling is that everything BUT ati is working now. Next time, I buy Nvidia!! :)

Paul Broadhead (pjbroad) wrote :

> Paul, did your laptop work using the fglrx drivers with Myth?

I have no tried anything other than the default free driver on my laptop X31. I was not aware that there were any other options.

> My feeling is that everything BUT ati is working now. Next time, I buy Nvidia!! :)

Not quite. The Nvidia non-free driver works but the free Nvidia driver does not. Also, running inside virtual-box did not work for me.

Bon (ian-bonham) wrote :

There are a few drivers for ATI kit.

The open drivers are the radeon drivers, then the ATI closed binaries are fglrx. There are fglrx in the repos, but you can also download the latest drivers from the AMD site.

I've not tried that yet, and probs will not until Monday. I'm running a BIG backup, then will be away sat/sun. Monday tho, I will be hacking this git like a pro!! I want to watch TV again!!

:)

Changed in mythtv (Ubuntu):
importance: Undecided → High
status: New → Confirmed
Mario Limonciello (superm1) wrote :

OK, so some basic sleuthing led me a few data points that will be useful in helping to debug this.

I took a use case of running mythtv-setup on a fglrx/jaunty install no problem. I then spun up a6 in virtualbox( using vesa ), and tried to run that same functional mythtv-setup X forwarded on the virtualbox X instance. Problem occurs. So here's what you can take from that:

1) This *does NOT* happen on fglrx or nvidia closed source modules.
2) This *does* happen on on vesa

We've at least got a use case for reproducing. Live disks do it reliably when using vesa.

I went a little further and started spewing printf's all over mythtv code to figure out when the first BadMatch shows up. Around line ~612 of mythmainwindow.cpp, there is a show() call. As soon as this call is executed the first BadMatch comes up. It's not clear if the other X errors are caused by show() calls as well. show() is inherited from the parent class of MythMainWindow, QWidget. That means that this bug actually lies somewhere in QT and it's interface to X. This wouldn't be too much of a surprise considering it hasn't changed at all since Intrepid, and there quite possibly has been X changes in Jaunty.

Bon (ian-bonham) wrote :

Hi All,

Sorry, been away for the weekend. I patched in fglrx and forced them to load for my X300. The word 'Disaster' maybe does not do it justice!! When the load screen came up (the boot screen with the progress bar), that was mangled, and the PC locked up when it tried to start GDE.

Looking at http://www.ubuntu.com/testing/jaunty/alpha6#Known%20issues

the fglrx is still listed as dodgy, so how has anyone got this working?! Is there some patch I am missing?

For fglrx to work I think you need to be using it without composite support.

On 03/23/2009, Bon <email address hidden> wrote:
> Hi All,
>
> Sorry, been away for the weekend. I patched in fglrx and forced them to
> load for my X300. The word 'Disaster' maybe does not do it justice!!
> When the load screen came up (the boot screen with the progress bar),
> that was mangled, and the PC locked up when it tried to start GDE.
>
> Looking at http://www.ubuntu.com/testing/jaunty/alpha6#Known%20issues
>
> the fglrx is still listed as dodgy, so how has anyone got this working?!
> Is there some patch I am missing?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

I just tried an experiment that might be useful.

My X31 laptop running Jaunty does not display the mythfrontend fonts. However, if I "ssh -X" onto the laptop from my desktop (which is running Intrepid and using the restricted nvidia driver) and run mythfrontend, the fonts display fine on my desktop.

Say with me....

Now if I "ssh -X" from my Jaunty laptop onto my Intrepid desktop and run mythfrontend. I get the same no-front display problem as I do with the local version.

I believe this tells us what we already suspected. The problem is with the graphic drivers not mythtv.; as the Intrepid version does not work when displayed on the Jaunty machine.

I hope that makes some sense.

Tormod Volden (tormodvolden) wrote :

Can this be the same issue as in bug 334657?

Mario Limonciello (superm1) wrote :

Probably not since this happens in xfce too and is using QT3 not QT4. I'll check for a similar setting in XFCE for such sub pixel enhancements.

Paul Broadhead (pjbroad) wrote :

With this problem, you get no fonts displayed at all. The work about the bug 334657 was to use "Best Shape" font rendering rather than "Subpixel...". I've just tried that and it make no difference. Thanks for the suggestion though.

Na, this still happens in gdm's failsafe terminal mode, so i'd say it's not
the same issue.

On Mon, Mar 23, 2009 at 18:34, Tormod Volden <email address hidden>wrote:

> Can this be the same issue as in bug 334657?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>

Mario Limonciello (superm1) wrote :

I've further narrowed down when the problem was introduced by using
historical builds and upgrading small subsets of packages.

The package that caused it to break was xserver-xorg-core.

The last functional version was 1:1.5.99.902-0ubuntu7. It first broke at
2:1.6.0-0ubuntu1.

On Mon, Mar 23, 2009 at 18:51, Paul Broadhead <<email address hidden>
> wrote:

> With this problem, you get no fonts displayed at all. The work about
> the bug 334657 was to use "Best Shape" font rendering rather than
> "Subpixel...". I've just tried that and it make no difference. Thanks
> for the suggestion though.
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>

Using git bisect on the xserver-xorg ubuntu git branch, i've identified the commit causing the failures:

commit 8b967b24690cb072fc37c463eceb2b886cef80c4
Author: Eric Anholt <email address hidden>
Date: Mon Feb 2 10:13:46 2009 -0800

    glx: Don't match fbconfigs to visuals with mismatched channel masks.

    This fixes at least one known bug, where the depth 32 visual would end up
    with a depth 24 fbconfig attached, angering compiz.
    (cherry picked from commit 5100d829a4d71ce4a9fbc2b81694a1fb90066ccf)

    Signed-off-by: Keith Packard <email address hidden>

Bon (ian-bonham) wrote :

Well if thats an approved 'Bug Fix' does that mean we're stuck with it?

This is coming from a bug found in Ubuntu jaunty beta which contains xorg server 1.6. It appears that a series of 3 commits in the X server related to FBConfig's and GLX visuals are causing mythtv's show() calls of QWidgets to fail. Accompanied by the visual failure, BadMatch? and BadRenderPicture? errors are shown in the terminal window.

These are the 3 cuplrit commits:
http://cgit.freedesktop.org/xorg/xserver/commit/?h=server-1.6-branch&id=8b967b24690cb072fc37c463eceb2b886cef80c4

http://cgit.freedesktop.org/xorg/xserver/commit/?h=server-1.6-branch&id=516f8e2cad1311a09764e2633644188d1e3c31bb

http://cgit.freedesktop.org/xorg/xserver/commit/?h=server-1.6-branch&id=516f8e2cad1311a09764e2633644188d1e3c31bb

They were identified by using git-bisect on the 1.6 branch and running mythtv-setup in between compiles.

I'm not sure. I've not been able to revert "just" that patch to make things
work as of yet. I think we need to better understand why it's causing
problems to come up with a sane solution.

On Tue, Mar 24, 2009 at 05:23, Bon <email address hidden> wrote:

> Well if thats an approved 'Bug Fix' does that mean we're stuck with it?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>
Sent from: Austin Texas United States.

Sadly I can't really help out much with this, as I'm not au fait with the Myth or Xorg code. Asterisk is more my area!

Mario Limonciello (superm1) wrote :

OK, so here's a patch reverting the series of 3 commits that caused the set of problems. I'm not sure that it's the proper solution to revert these 3 commits though, so I'll defer that to the X maintainer in Ubuntu. If it's not the proper solution, we'll have to work something else out.

I still don't have a root understanding of why these commits are causing the failures however. Perhaps their behavior is correct and we should really be looking for a fix in MythTV or QT.

Bon (ian-bonham) wrote :

Are there any other QT based apps having issues on Xorg that you are aware of? I've had a look and can't see any, which makes me think it might be in Myth. If Myth was coded 'around' a known issue, now that known issue's been corrected it would suggest that the Myth-Hack is at fault?

Mario Limonciello (superm1) wrote :

I'm not sure if there are any other QT based apps having similar issues. I seem to doubt it's the fact that myth was coded a particular way to avoid an issue as it explicitly is happening at normal QT show calls. It's probably that myth's usage of the QT widgets is a bit different than other applications and uncovering a problem in that fashion.

Mario Limonciello (superm1) wrote :

Here's ta test build with those 3 commits reverted on my PPA: https://launchpad.net/~superm1/+archive/ppa

Changed in mythtv:
status: Unknown → New
Bon (ian-bonham) wrote :

I'll add that and try the build as soon as I can (maybe tomorrow now) and let you know if that resolves anything.
I did try just changing themes around, because I've found some old reports with Google that failing to render could be resolved using a different theme, but no joy there.

Paul Broadhead (pjbroad) wrote :

> Here's ta test build with those 3 commits reverted on my
> PPA: https://launchpad.net/~superm1/+archive/ppa

I've installed the packages from your PPA and restarted my xserver. It works!
Mythtv has it fonts and TV picture back again. Well done Mario, good detective work indeed.

Bryce Harrington (bryce) wrote :

Mario, if you rule it out as a mythtv-specific thing, can you raise this issue to the X.org upstream?

https://bugs.freedesktop.org/enter_bug.cgi?product=xorg&component=Server%2Fgeneral

Changed in xorg-server:
status: Unknown → Confirmed
Bon (ian-bonham) wrote :

Hi Mario,

Delighted to report that MYth is back to working after adding your packages here too. Superb work man, thank you very much, it's HUGELY appreciated!

Have beer, and lots of it! :)

Created an attachment (id=24246)
glxinfo with patchset applied (broken)

Created an attachment (id=24247)
glxinfo without patchset applied (working)

This is with mesa 7.3 (on Ubuntu release 7.3-1ubuntu3)

Documented this in the beta errata at https://wiki.ubuntu.com/JauntyJackalope/TechnicalOverview:

  The mythtv frontend in mythbuntu fails to render fonts correctly when using video drivers other than the Intel or closed-source nvidia drivers. This issue is expected to be resolved for the final 9.04 release. 314898

Mario, does this look accurate to you?

You know when u try to help?
LOL!

Has this bug not been documented enough?

Please, inform me

2009/3/26 Steve Langasek <email address hidden>

> Documented this in the beta errata at
> https://wiki.ubuntu.com/JauntyJackalope/TechnicalOverview:
>
> The mythtv frontend in mythbuntu fails to render fonts correctly when
> using video drivers other than the Intel or closed-source nvidia
> drivers. This issue is expected to be resolved for the final 9.04
> release. 314898
>
> Mario, does this look accurate to you?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in MythTV: New
> Status in X.Org X server: Confirmed
> Status in “mythtv” source package in Ubuntu: Confirmed
> Status in “qt-x11-free” source package in Ubuntu: New
> Status in “xorg-server” source package in Ubuntu: New
>
> Bug description:
> Binary package hint: mythtv
>
> Ubuntu jaunty (development branch)
> Release: 9.04
>
> mythtv-frontend:
> Installed: 0.21.0+fixes19961-0ubuntu4
> Candidate: 0.21.0+fixes19961-0ubuntu4
> Version table:
> *** 0.21.0+fixes19961-0ubuntu4 0
> 500 http://gb.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
>
> Expect mythtv to launch and have visible text. Instead I have blocks of
> colour and no text.
>
> mythtv front end has been working in Jaunty since I installed it a few
> weeks ago. At some stage during the last week, an update has broken the
> package for me. When I launch mythtv, I get a central black box where the
> loading text use to be, I can still see my desktop. The program hangs there
> and my desktop is unresponsive. When I hit ESC, the screen changes to a
> full screen grey box with a black central box. Below the black box is an
> orange bar and two more grey bars. I can use the arrow keys to move the
> orange bar down one bar and hit return; this causes the program to exit
> normally. It looks to me like I am just missing the text.
>
> I have removed (and dpkg --purge) and reinstalled mythtv-frontend but the
> problem persists. I also deleted my $HOME/.mythtv directory. However, some
> configure files were left behind in /etc/mythtv; they are just the defaults
> plus the mysql password.
>
> I have check bugs #93986 and #156983 and I believe they are not related; I
> did install/confirm I had installed the suggest fonts just in case but I
> still have the problem.
>
> I do not have compiz active and no other application are acting strange; 3d
> games etc are fine.
>
> This machine is a Thinkpad X31 with "ATI Technologies Inc Radeon Mobility
> M6 LY" graphics.
>
> I have attached the output when run from a terminal using "mythfrontend
> --service"
>

Mario Limonciello (superm1) wrote :

Steve:

Hopefully a better solution will exist before then, but if not, yeah it
appears to be accurate.

On Wed, Mar 25, 2009 at 23:22, Steve Langasek
<email address hidden>wrote:

> Documented this in the beta errata at
> https://wiki.ubuntu.com/JauntyJackalope/TechnicalOverview:
>
> The mythtv frontend in mythbuntu fails to render fonts correctly when
> using video drivers other than the Intel or closed-source nvidia
> drivers. This issue is expected to be resolved for the final 9.04
> release. 314898
>
> Mario, does this look accurate to you?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>

> Documented this in the beta errata

The bug number was wrong, I corrected it now.

So from what I can gather this is the visual that is getting selected when
failing at least with vesa (with the patches applied):
"0x3b 32 tc 0 32 0 r y . 8 8 8 8 0 24 0 0 0 0 0 0 0 None"

When successful with vesa (without the patches applied)
"0x21 24 tc 0 32 0 r y . 8 8 8 8 0 24 8 0 0 0 0 0 0 None"

is the visual selected. That first hexadecimal number is the VisualID which
is represented internally as a long integer.

It appears that this value is set internally in QT by querying the
environment, but it's not much clearer beyond that.

Changed in qt-x11-free (Ubuntu):
status: New → Invalid
Changed in xorg-server (Ubuntu):
status: New → Invalid
Changed in mythtv (Ubuntu):
status: Confirmed → Invalid
Changed in mesa (Ubuntu):
assignee: nobody → superm1
status: New → In Progress
Changed in mesa (Ubuntu):
status: In Progress → Fix Committed

This bug was fixed in the package mesa - 7.3-1ubuntu4

---------------
mesa (7.3-1ubuntu4) jaunty; urgency=low

  * Backport 104_swrast_fbconfigs.patch from mesa git.
    - Properly assigns an fbconfig for the root visual. This fixes
      issues with MythTV not being able to show fonts when using a software
      rasterizer. (LP: #341898)

 -- Mario Limonciello <email address hidden> Fri, 27 Mar 2009 02:50:13 -0500

Changed in mesa (Ubuntu):
status: Fix Committed → Fix Released
Changed in mythtv:
status: New → Invalid
Changed in xorg-server:
status: Confirmed → Fix Released
Tormod Volden (tormodvolden) wrote :

For the record, this fix is included in upstream mesa 7.4.

Bon (ian-bonham) wrote :

Running a Dist-Upgrade on Monday March 30th appears to have broken Myth again?

Has anyone else experienced a return of this exact same bug?

Hi Bon:

It shouldn't be coming back. Mesa hasn't changed at all:
https://edge.launchpad.net/ubuntu/+source/mesa

Are you sure you are on the latest mesa version
(7.3-1ubuntu4<https://edge.launchpad.net/ubuntu/jaunty/+source/mesa/7.3-1ubuntu4>)
?

On Mon, Mar 30, 2009 at 14:40, Bon <email address hidden> wrote:

> Running a Dist-Upgrade on Monday March 30th appears to have broken Myth
> again?
>
> Has anyone else experienced a return of this exact same bug?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>
Sent from: Austin Texas United States.

Hi Mario,

I ran a Dist-Upgrade and it's definatly back. Exactly te same symptoms as before.
A quick package check shows :
Package: libgl1-mesa-dri
Versions:
7.3-1ubuntu4 (/var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_jaunty_main_binary-i386_Packages) (/var/lib/dpkg/status)
 Description Language:
                 File: /var/lib/apt/lists/es.archive.ubuntu.com_ubuntu_dists_jaunty_main_binary-i386_Packages
                  MD5: c57fa7bdb7a511aec664b0d722beba22

Reverse Depends:
  xserver-xorg-core,libgl1-mesa-dri 7.1~rc1
  xserver-xephyr,libgl1-mesa-dri 7.1~rc1
  xnest,libgl1-mesa-dri 7.1~rc1
  mythbuntu-desktop,libgl1-mesa-dri
  xubuntu-desktop,libgl1-mesa-dri
  xserver-xephyr,libgl1-mesa-dri 7.1~rc1
  ubuntustudio-desktop,libgl1-mesa-dri
  ubuntu-netbook-remix,libgl1-mesa-dri
  driconf,libgl1-mesa-dri
  driconf,libgl1-mesa-dri
  xserver-xorg-core,libgl1-mesa-dri 7.1~rc1
  xserver-xorg,libgl1-mesa-dri
  xnest,libgl1-mesa-dri 7.1~rc1
  ubuntu-desktop,libgl1-mesa-dri
  ltsp-client,libgl1-mesa-dri
  libgl1-mesa-glx,libgl1-mesa-dri 6.4.0
  libgl1-mesa-glx,libgl1-mesa-dri 6.4.0
  libgl1-mesa-dri-dbg,libgl1-mesa-dri 7.3-1ubuntu4
  kubuntu-desktop,libgl1-mesa-dri
Dependencies:
7.3-1ubuntu4 - libc6 (2 2.4) libdrm-intel1 (2 2.4.1) libdrm2 (2 2.3.1) libexpat1 (2 1.95.8) libgl1-mesa-glx (5 7.3-1ubuntu4) dpkg (2 1.14.12ubuntu3) libglide3 (0 (null)) xlibmesa-dri (3 1:7.0.0) xlibmesa-dri (3 1:7.0.0)
Provides:
7.3-1ubuntu4 -

Is that the correct package/version?
Everything is up to date according to the Upgrade, so not sure whats caused it to re-appear.

Ian

Paul Broadhead (pjbroad) wrote :

It's broken again for me too. All the installed mesa packages are at version 7.3-1ubuntu4:
ii libgl1-mesa-dev 7.3-1ubuntu4
ii libgl1-mesa-dri 7.3-1ubuntu4
ii libgl1-mesa-glx 7.3-1ubuntu4
ii libglu1-mesa 7.3-1ubuntu4
ii libglu1-mesa-dev 7.3-1ubuntu4
ii mesa-common-dev 7.3-1ubuntu4
ii mesa-utils 7.3-1ubuntu4

See now this is odd, because I can't reproduce it anymore with the vesa
driver and a fully updated system. Is this issue specific to your radeon
drivers perhaps? If you disable dri or switch to vesa, does it persist?

On Tue, Mar 31, 2009 at 15:29, Paul Broadhead <<email address hidden>
> wrote:

> It's broken again for me too. All the installed mesa packages are at
> version 7.3-1ubuntu4:
> ii libgl1-mesa-dev 7.3-1ubuntu4
> ii libgl1-mesa-dri 7.3-1ubuntu4
> ii libgl1-mesa-glx 7.3-1ubuntu4
> ii libglu1-mesa 7.3-1ubuntu4
> ii libglu1-mesa-dev 7.3-1ubuntu4
> ii mesa-common-dev 7.3-1ubuntu4
> ii mesa-utils 7.3-1ubuntu4
>
>

> If you disable dri or switch to vesa, does it persist?

Yes it does. I disabled dri by adding Option "DRI" "off" to my xorg.conf file. mythtv fonts are back! I'm slightly confused though as glxinfo shows "direct rendering: Yes". May be I'm confusing what the dri option actually is.

The other thing to note is that adding this option has also fix another problem I was considering reporting; that scrolling in gnome-terminals and firefox (at least) is very slow. With dri off, both are restored to normal scrolling rates.

The weird thin is, when I installed the fix form your PPA Mario, mythtv fonts worked fine.

Paul Broadhead (pjbroad) wrote :

> Yes it does

Doh! What I meant to say was disabling DRI fixed the problem, restoring mythtv fonts.

OK, so it appears that's a separate issue then. I fixed the software
rastersizer, but the one that your graphics card is using is still broke.
Could you by chance try with mesa 7.4? I'm not sure if it's available on a
PPA anywhere yet. This will unfortunately make it exponentially more
difficult for me to help debug since I don't have any radeon hardware to
debug with unfortunately.

On Tue, Mar 31, 2009 at 17:48, Paul Broadhead <<email address hidden>
> wrote:

> Doh! What I meant to say was disabling DRI fixed the problem, restoring
> mythtv fonts.
>
>

Changed in mesa (Ubuntu):
status: Fix Released → Confirmed
Bon (ian-bonham) wrote :

Nice find, the DRI does stop the problem on ATI/AMD cards! I defo think my next shopping trip will include a find of a LP PCI-X Nvidia, ATI/AMD r taking the mick now with their lack of support. Sod 'em! Any recomendations for a Myth compat card for about $50/$70?

I was concerned about editing /etc/X11/xorg.conf as it seems to be automated now, but changing :

Section "Device"
 Identifier "Configured Video Device"
 Option "DRI" "off"
EndSection

Seemed to work. I wanted to log this just in case new Ubuntu users wonder what to edit should this gitty bug filter out into release.
The DRI line can go into that section and it sorts it.

Cheers all for your help (again!)

Ian

Bon,
Can you please test with that latest Mesa on the PPA that tormod
pointed you at with dri enabled? We would like to find an out of box
solution. Disabling dri is a good workaround, but just that.

On 04/02/2009, Bon <email address hidden> wrote:
> Nice find, the DRI does stop the problem on ATI/AMD cards! I defo think
> my next shopping trip will include a find of a LP PCI-X Nvidia, ATI/AMD
> r taking the mick now with their lack of support. Sod 'em! Any
> recomendations for a Myth compat card for about $50/$70?
>
> I was concerned about editing /etc/X11/xorg.conf as it seems to be
> automated now, but changing :
>
> Section "Device"
> Identifier "Configured Video Device"
> Option "DRI" "off"
> EndSection
>
> Seemed to work. I wanted to log this just in case new Ubuntu users wonder
> what to edit should this gitty bug filter out into release.
> The DRI line can go into that section and it sorts it.
>
> Cheers all for your help (again!)
>
> Ian
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

Bon (ian-bonham) wrote :
Download full text (3.7 KiB)

Sure, give me a couple of hours to get out of work and I'll give it a go

2009/4/2 Mario Limonciello <email address hidden>

> Bon,
> Can you please test with that latest Mesa on the PPA that tormod
> pointed you at with dri enabled? We would like to find an out of box
> solution. Disabling dri is a good workaround, but just that.
>
> On 04/02/2009, Bon <email address hidden> wrote:
> > Nice find, the DRI does stop the problem on ATI/AMD cards! I defo think
> > my next shopping trip will include a find of a LP PCI-X Nvidia, ATI/AMD
> > r taking the mick now with their lack of support. Sod 'em! Any
> > recomendations for a Myth compat card for about $50/$70?
> >
> > I was concerned about editing /etc/X11/xorg.conf as it seems to be
> > automated now, but changing :
> >
> > Section "Device"
> > Identifier "Configured Video Device"
> > Option "DRI" "off"
> > EndSection
> >
> > Seemed to work. I wanted to log this just in case new Ubuntu users wonder
> > what to edit should this gitty bug filter out into release.
> > The DRI line can go into that section and it sorts it.
> >
> > Cheers all for your help (again!)
> >
> > Ian
> >
> > --
> > Mythtv frontend does not display any fonts
> > https://bugs.launchpad.net/bugs/341898
> > You received this bug notification because you are a member of MythTV
> > Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
> >
>
> --
> Sent from my mobile device
>
> Mario Limonciello
> <email address hidden>
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in MythTV: Invalid
> Status in X.Org X server: Fix Released
> Status in “mesa” source package in Ubuntu: Confirmed
> Status in “mythtv” source package in Ubuntu: Invalid
> Status in “qt-x11-free” source package in Ubuntu: Invalid
> Status in “xorg-server” source package in Ubuntu: Invalid
>
> Bug description:
> Binary package hint: mythtv
>
> Ubuntu jaunty (development branch)
> Release: 9.04
>
> mythtv-frontend:
> Installed: 0.21.0+fixes19961-0ubuntu4
> Candidate: 0.21.0+fixes19961-0ubuntu4
> Version table:
> *** 0.21.0+fixes19961-0ubuntu4 0
> 500 http://gb.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
>
> Expect mythtv to launch and have visible text. Instead I have blocks of
> colour and no text.
>
> mythtv front end has been working in Jaunty since I installed it a few
> weeks ago. At some stage during the last week, an update has broken the
> package for me. When I launch mythtv, I get a central black box where the
> loading text use to be, I can still see my desktop. The program hangs there
> and my desktop is unresponsive. When I hit ESC, the screen changes to a
> full screen grey box with a black central box. Below the black box is an
> orange bar and two more grey bars. I can use the arrow keys to move the
> orange bar down one bar and hit return; this causes the program to exit
> normally. It looks to me like I am just missing the text.
>
> I have removed (and dpkg --purge) and reinstalled mythtv-frontend but the
> problem persis...

Read more...

I have this problem:
05:00.0 VGA compatible controller: ATI Technologies Inc RV380 0x3e50 [Radeon X600]

direct rendering is on - not sure how to turn it off in jaunty with the empty xorg.conf thing.

i've updated to the ppa mesa packages

exactly the same bug, as far as i can tell.

please let me know what i can do to help debug.

n.b. i'm running dual head, compiz OFF.

Jack Wasey (jackwasey) wrote :

I have now got mythtv-setup to run partly, but now every time. However, the problem is a different/new bug, with a segfault just after touching the joystick rc file (but this is not the cause).

I can run mythfrontend, and sometimes, after running it, I can run mythtv-setup.real

I also the setup run immediately after chaning my desktop theme to "human."

However, it segfaults at the end of channel scan.

In short, the mesa update seems to have cracked the original problem.

Paul Broadhead (pjbroad) wrote :

> Until mesa 7.4 gets uploaded to main, you can test it from https://edge.launchpad.net/~tjaalton/+archive/ppa

Unfortunately, mesa 7.4 from that ppa does not fix the problem for me. DRI off does however.
This machine is a Thinkpad X31 with "ATI Technologies Inc Radeon Mobility M6 LY" graphics.

Steve Langasek (vorlon) on 2009-04-02
Changed in mesa (Ubuntu Jaunty):
importance: Undecided → High
Martin Pitt (pitti) wrote :

Mesa will be updated in Jaunty very soon (probably today), see bug 349127. Can you please test this once it lands?

Hi Guys,

Ok, I've run a dist-upgrade today (3/4/09) at 1600CET, and Myth is still
broken. Using the DRI off option makes it work though. Then I added the repo
for the updated MESA and upgraded again. It installed the new package, but
Myth is still broken. Again however, with the DRI switched off under the new
version it works.

Any ideas?! :)

Bon

2009/4/3 Martin Pitt <email address hidden>

> Mesa will be updated in Jaunty very soon (probably today), see bug
> 349127. Can you please test this once it lands?
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in MythTV: Invalid
> Status in X.Org X server: Fix Released
> Status in “mesa” source package in Ubuntu: Confirmed
> Status in “mythtv” source package in Ubuntu: Invalid
> Status in “qt-x11-free” source package in Ubuntu: Invalid
> Status in “xorg-server” source package in Ubuntu: Invalid
> Status in mesa in Ubuntu Jaunty: Confirmed
> Status in mythtv in Ubuntu Jaunty: Invalid
> Status in qt-x11-free in Ubuntu Jaunty: Invalid
> Status in xorg-server in Ubuntu Jaunty: Invalid
>
> Bug description:
> Binary package hint: mythtv
>
> Ubuntu jaunty (development branch)
> Release: 9.04
>
> mythtv-frontend:
> Installed: 0.21.0+fixes19961-0ubuntu4
> Candidate: 0.21.0+fixes19961-0ubuntu4
> Version table:
> *** 0.21.0+fixes19961-0ubuntu4 0
> 500 http://gb.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
>
> Expect mythtv to launch and have visible text. Instead I have blocks of
> colour and no text.
>
> mythtv front end has been working in Jaunty since I installed it a few
> weeks ago. At some stage during the last week, an update has broken the
> package for me. When I launch mythtv, I get a central black box where the
> loading text use to be, I can still see my desktop. The program hangs there
> and my desktop is unresponsive. When I hit ESC, the screen changes to a
> full screen grey box with a black central box. Below the black box is an
> orange bar and two more grey bars. I can use the arrow keys to move the
> orange bar down one bar and hit return; this causes the program to exit
> normally. It looks to me like I am just missing the text.
>
> I have removed (and dpkg --purge) and reinstalled mythtv-frontend but the
> problem persists. I also deleted my $HOME/.mythtv directory. However, some
> configure files were left behind in /etc/mythtv; they are just the defaults
> plus the mysql password.
>
> I have check bugs #93986 and #156983 and I believe they are not related; I
> did install/confirm I had installed the suggest fonts just in case but I
> still have the problem.
>
> I do not have compiz active and no other application are acting strange; 3d
> games etc are fine.
>
> This machine is a Thinkpad X31 with "ATI Technologies Inc Radeon Mobility
> M6 LY" graphics.
>
> I have attached the output when run from a terminal using "mythfrontend
> --service"
>

> Mesa will be updated in Jaunty very soon (probably today), see bug 349127. Can you please test this once it lands?

I'm fully updated and using mesa versions 7.4-0ubuntu1 but still have this problem. "dpkg -l "*mesa*" | grep ^ii" gives:
ii libgl1-mesa-dri 7.4-0ubuntu1
ii libgl1-mesa-glx 7.4-0ubuntu1
ii libglu1-mesa 7.4-0ubuntu1
ii mesa-utils 7.4-0ubuntu1

With dri disabled, the fonts display fine.

Bon (ian-bonham) wrote :

Same as Paul,
ii libgl1-mesa-dev 7.4-0ubuntu1 A free implementation of the OpenGL API -- G
ii libgl1-mesa-dri 7.4-0ubuntu1 A free implementation of the OpenGL API -- D
ii libgl1-mesa-glx 7.4-0ubuntu1 A free implementation of the OpenGL API -- G
ii libglu1-mesa 7.4-0ubuntu1 The OpenGL utility library (GLU)
ii libglu1-mesa-dev 7.4-0ubuntu1 The OpenGL utility library -- development fi
ii mesa-common-dev 7.4-0ubuntu1 Developer documentation for Mesa
ii mesa-utils 7.4-0ubuntu1 Miscellaneous Mesa GL utilities
ii xlibmesa-gl-dev 1:7.4~5ubuntu18 transitional package for Debian etch

with

ii xserver-xorg-video-radeon 1:6.12.1-0ubuntu2 X.Org X server -- ATI Radeon display driver

All packages up to date, and Myth only works if I put 'Option "dri" "off"' into xorg.conf

Paul Broadhead (pjbroad) wrote :

When I now run with dri disabled, while mythtv works some times, I'm getting some crashes on start-up.
Running inside gdb I get:
...
Program terminated with signal 4, Illegal instruction.
...
(gdb) where
#0 0xb5dbb17a in ?? () from /lib/tls/i686/cmov/libc.so.6
#1 0xb65f4b07 in QGLWidget::resizeEvent () from /usr/lib/libqt-mt.so.3
#2 0xb63c199b in QWidget::event () from /usr/lib/libqt-mt.so.3
#3 0xb63224f5 in QApplication::internalNotify () from /usr/lib/libqt-mt.so.3
#4 0xb63234ad in QApplication::notify () from /usr/lib/libqt-mt.so.3
#5 0xb63246d7 in QApplication::sendPostedEvents () from /usr/lib/libqt-mt.so.3
#6 0xb63c096c in QWidget::show () from /usr/lib/libqt-mt.so.3
#7 0xb6a5d015 in MythMainWindow::Show () from /usr/lib/libmythui-0.21.so.0
#8 0xb6a5d2a2 in MythMainWindow::Init () from /usr/lib/libmythui-0.21.so.0
#9 0x0806f671 in ?? ()
#10 0xb5c71775 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
#11 0x08062851 in ?? ()

The latest part of the log file reads:
2009-04-04 16:58:03.842 New DB connection, total: 2
2009-04-04 16:58:03.845 Connected to database 'mythconverg' at host: ron
2009-04-04 16:58:03.849 mythfrontend version: 0.21.20080304-1 www.mythtv.org
2009-04-04 16:58:03.850 Enabled verbose msgs: important general
2009-04-04 16:58:04.317 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
2009-04-04 16:58:04.320 Primary screen 0.
2009-04-04 16:58:04.321 Using screen 0, 1024x768 at 0,0
2009-04-04 16:58:04.322 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
2009-04-04 16:58:04.323 Switching to square mode (G.A.N.T)
2009-04-04 16:58:04.387 Using the Qt painter
mythtv: could not connect to socket
mythtv: No such file or directory
2009-04-04 16:58:04.388 lirc_init failed for mythtv, see preceding messages
2009-04-04 16:58:04.388 JoystickMenuClient Error: Joystick disabled - Failed to read /home/paul/.mythtv/joystickmenurc

If this is unrelated then I'll raise it as a new bug, I'm off to search the existing bugs now anyway....

Download full text (4.6 KiB)

Not seen that one m8, mine seems pretty stable once DRI is disabled... :(

2009/4/4 Paul Broadhead <email address hidden>

> When I now run with dri disabled, while mythtv works some times, I'm
> getting some crashes on start-up.
> Running inside gdb I get:
> ...
> Program terminated with signal 4, Illegal instruction.
> ...
> (gdb) where
> #0 0xb5dbb17a in ?? () from /lib/tls/i686/cmov/libc.so.6
> #1 0xb65f4b07 in QGLWidget::resizeEvent () from /usr/lib/libqt-mt.so.3
> #2 0xb63c199b in QWidget::event () from /usr/lib/libqt-mt.so.3
> #3 0xb63224f5 in QApplication::internalNotify () from
> /usr/lib/libqt-mt.so.3
> #4 0xb63234ad in QApplication::notify () from /usr/lib/libqt-mt.so.3
> #5 0xb63246d7 in QApplication::sendPostedEvents () from
> /usr/lib/libqt-mt.so.3
> #6 0xb63c096c in QWidget::show () from /usr/lib/libqt-mt.so.3
> #7 0xb6a5d015 in MythMainWindow::Show () from /usr/lib/libmythui-0.21.so.0
> #8 0xb6a5d2a2 in MythMainWindow::Init () from /usr/lib/libmythui-0.21.so.0
> #9 0x0806f671 in ?? ()
> #10 0xb5c71775 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
> #11 0x08062851 in ?? ()
>
> The latest part of the log file reads:
> 2009-04-04 16:58:03.842 New DB connection, total: 2
> 2009-04-04 16:58:03.845 Connected to database 'mythconverg' at host: ron
> 2009-04-04 16:58:03.849 mythfrontend version: 0.21.20080304-1
> www.mythtv.org
> 2009-04-04 16:58:03.850 Enabled verbose msgs: important general
> 2009-04-04 16:58:04.317 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
> 2009-04-04 16:58:04.320 Primary screen 0.
> 2009-04-04 16:58:04.321 Using screen 0, 1024x768 at 0,0
> 2009-04-04 16:58:04.322 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
> 2009-04-04 16:58:04.323 Switching to square mode (G.A.N.T)
> 2009-04-04 16:58:04.387 Using the Qt painter
> mythtv: could not connect to socket
> mythtv: No such file or directory
> 2009-04-04 16:58:04.388 lirc_init failed for mythtv, see preceding messages
> 2009-04-04 16:58:04.388 JoystickMenuClient Error: Joystick disabled -
> Failed to read /home/paul/.mythtv/joystickmenurc
>
> If this is unrelated then I'll raise it as a new bug, I'm off to search
> the existing bugs now anyway....
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in MythTV: Invalid
> Status in X.Org X server: Fix Released
> Status in “mesa” source package in Ubuntu: Confirmed
> Status in “mythtv” source package in Ubuntu: Invalid
> Status in “qt-x11-free” source package in Ubuntu: Invalid
> Status in “xorg-server” source package in Ubuntu: Invalid
> Status in mesa in Ubuntu Jaunty: Confirmed
> Status in mythtv in Ubuntu Jaunty: Invalid
> Status in qt-x11-free in Ubuntu Jaunty: Invalid
> Status in xorg-server in Ubuntu Jaunty: Invalid
>
> Bug description:
> Binary package hint: mythtv
>
> Ubuntu jaunty (development branch)
> Release: 9.04
>
> mythtv-frontend:
> Installed: 0.21.0+fixes19961-0ubuntu4
> Candidate: 0.21.0+fixes19961-0ubuntu4
> Version table:
> *** 0.21.0+fixes19961-0ubuntu4 0
> 500 http://gb.archive.ubuntu.com jaunty/multivers...

Read more...

Download full text (5.3 KiB)

Bryce,
Since this is AMD specific, can you forward it over to those guys? I
bet they just need a patch to mesa similar to Intel and the swrast
patches.

On 04/04/2009, Bon <email address hidden> wrote:
> Not seen that one m8, mine seems pretty stable once DRI is disabled...
> :(
>
>
> 2009/4/4 Paul Broadhead <email address hidden>
>
>> When I now run with dri disabled, while mythtv works some times, I'm
>> getting some crashes on start-up.
>> Running inside gdb I get:
>> ...
>> Program terminated with signal 4, Illegal instruction.
>> ...
>> (gdb) where
>> #0 0xb5dbb17a in ?? () from /lib/tls/i686/cmov/libc.so.6
>> #1 0xb65f4b07 in QGLWidget::resizeEvent () from /usr/lib/libqt-mt.so.3
>> #2 0xb63c199b in QWidget::event () from /usr/lib/libqt-mt.so.3
>> #3 0xb63224f5 in QApplication::internalNotify () from
>> /usr/lib/libqt-mt.so.3
>> #4 0xb63234ad in QApplication::notify () from /usr/lib/libqt-mt.so.3
>> #5 0xb63246d7 in QApplication::sendPostedEvents () from
>> /usr/lib/libqt-mt.so.3
>> #6 0xb63c096c in QWidget::show () from /usr/lib/libqt-mt.so.3
>> #7 0xb6a5d015 in MythMainWindow::Show () from
>> /usr/lib/libmythui-0.21.so.0
>> #8 0xb6a5d2a2 in MythMainWindow::Init () from
>> /usr/lib/libmythui-0.21.so.0
>> #9 0x0806f671 in ?? ()
>> #10 0xb5c71775 in __libc_start_main () from /lib/tls/i686/cmov/libc.so.6
>> #11 0x08062851 in ?? ()
>>
>> The latest part of the log file reads:
>> 2009-04-04 16:58:03.842 New DB connection, total: 2
>> 2009-04-04 16:58:03.845 Connected to database 'mythconverg' at host: ron
>> 2009-04-04 16:58:03.849 mythfrontend version: 0.21.20080304-1
>> www.mythtv.org
>> 2009-04-04 16:58:03.850 Enabled verbose msgs: important general
>> 2009-04-04 16:58:04.317 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
>> 2009-04-04 16:58:04.320 Primary screen 0.
>> 2009-04-04 16:58:04.321 Using screen 0, 1024x768 at 0,0
>> 2009-04-04 16:58:04.322 No theme dir: /home/paul/.mythtv/themes/G.A.N.T
>> 2009-04-04 16:58:04.323 Switching to square mode (G.A.N.T)
>> 2009-04-04 16:58:04.387 Using the Qt painter
>> mythtv: could not connect to socket
>> mythtv: No such file or directory
>> 2009-04-04 16:58:04.388 lirc_init failed for mythtv, see preceding
>> messages
>> 2009-04-04 16:58:04.388 JoystickMenuClient Error: Joystick disabled -
>> Failed to read /home/paul/.mythtv/joystickmenurc
>>
>> If this is unrelated then I'll raise it as a new bug, I'm off to search
>> the existing bugs now anyway....
>>
>> --
>> Mythtv frontend does not display any fonts
>> https://bugs.launchpad.net/bugs/341898
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in MythTV: Invalid
>> Status in X.Org X server: Fix Released
>> Status in “mesa” source package in Ubuntu: Confirmed
>> Status in “mythtv” source package in Ubuntu: Invalid
>> Status in “qt-x11-free” source package in Ubuntu: Invalid
>> Status in “xorg-server” source package in Ubuntu: Invalid
>> Status in mesa in Ubuntu Jaunty: Confirmed
>> Status in mythtv in Ubuntu Jaunty: Invalid
>> Status in qt-x11-free in Ubuntu Jaunty: Invalid
>> Status in xorg-server in Ubuntu Jaunty: Invalid
>>
>> Bug description:
>> Binary package hint: my...

Read more...

I've reported my new crash issue using apport as Bug #355242.
The strange thing is that apport has called it a SIGSEGV where as if I run inside gdb it is SIGILL. The stacktack in both cases is the same.

Paul Broadhead (pjbroad) wrote :

I've reported my new crash issue using apport as Bug #355242.
The strange thing is that apport has called it a SIGSEGV where as if I run inside gdb it is SIGILL. The stacktrace in both cases is the same.

Ok, I'm with u Paul,

Another update has left me with a seg faulting Myth. It runs randomly, so
getting a trace is well difficult.

WOT is going on?!

Bon

2009/4/4 Paul Broadhead <email address hidden>

> I've reported my new crash issue using apport as Bug #355242.
> The strange thing is that apport has called it a SIGSEGV where as if I run
> inside gdb it is SIGILL. The stacktrace in both cases is the same.
>
> --
> Mythtv frontend does not display any fonts
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in MythTV: Invalid
> Status in X.Org X server: Fix Released
> Status in “mesa” source package in Ubuntu: Confirmed
> Status in “mythtv” source package in Ubuntu: Invalid
> Status in “qt-x11-free” source package in Ubuntu: Invalid
> Status in “xorg-server” source package in Ubuntu: Invalid
> Status in mesa in Ubuntu Jaunty: Confirmed
> Status in mythtv in Ubuntu Jaunty: Invalid
> Status in qt-x11-free in Ubuntu Jaunty: Invalid
> Status in xorg-server in Ubuntu Jaunty: Invalid
>
> Bug description:
> Binary package hint: mythtv
>
> Ubuntu jaunty (development branch)
> Release: 9.04
>
> mythtv-frontend:
> Installed: 0.21.0+fixes19961-0ubuntu4
> Candidate: 0.21.0+fixes19961-0ubuntu4
> Version table:
> *** 0.21.0+fixes19961-0ubuntu4 0
> 500 http://gb.archive.ubuntu.com jaunty/multiverse Packages
> 100 /var/lib/dpkg/status
>
> Expect mythtv to launch and have visible text. Instead I have blocks of
> colour and no text.
>
> mythtv front end has been working in Jaunty since I installed it a few
> weeks ago. At some stage during the last week, an update has broken the
> package for me. When I launch mythtv, I get a central black box where the
> loading text use to be, I can still see my desktop. The program hangs there
> and my desktop is unresponsive. When I hit ESC, the screen changes to a
> full screen grey box with a black central box. Below the black box is an
> orange bar and two more grey bars. I can use the arrow keys to move the
> orange bar down one bar and hit return; this causes the program to exit
> normally. It looks to me like I am just missing the text.
>
> I have removed (and dpkg --purge) and reinstalled mythtv-frontend but the
> problem persists. I also deleted my $HOME/.mythtv directory. However, some
> configure files were left behind in /etc/mythtv; they are just the defaults
> plus the mysql password.
>
> I have check bugs #93986 and #156983 and I believe they are not related; I
> did install/confirm I had installed the suggest fonts just in case but I
> still have the problem.
>
> I do not have compiz active and no other application are acting strange; 3d
> games etc are fine.
>
> This machine is a Thinkpad X31 with "ATI Technologies Inc Radeon Mobility
> M6 LY" graphics.
>
> I have attached the output when run from a terminal using "mythfrontend
> --service"
>

summary: - Mythtv frontend does not display any fonts
+ MythTV Frontend does not work with RADEON DRI

OK, so good news folks. I've developed a patch for RADEON similar to what was used for swrast to fix this issue. It exposes more fbconfigs. I've uploaded it to the archive pending release manager review.

In the interim, it's available on my PPA at https://launchpad.net/~superm1/+archive/ppa

Changed in mesa (Ubuntu Jaunty):
milestone: none → ubuntu-9.04
status: Confirmed → Fix Committed
Steve Langasek (vorlon) wrote :

I was wary of this change at first, but the patch appears to be straightforward and sensible. But I could be mistaken... I don't suppose the patch has been submitted to upstream yet?

Bon (ian-bonham) wrote :

Hi Mario,

I've installed the patch from your PPA and switched DRI back on, all works perfectly! Many thanks for your work mate!

Alson van der Meulen (alm) wrote :

I can confirm that this patch works. Mythfrontend now works for me on a R500 with the radeon driver (DRI enabled) and mesa from Mario's PPA.

Paul Broadhead (pjbroad) wrote :

Your PPA version works for me too. Thanks again Mario.

Hi guys:

Thanks for the confirmation. I've submitted this upstream, and they want to
verify a few things don't work before agreeing this is the proper patch.
Hopefully everything will be sorted out and agreed upon upstream soon so we
can get the appropriate patch into ubuntu.

On Fri, Apr 17, 2009 at 14:23, Paul Broadhead <<email address hidden>
> wrote:

> Your PPA version works for me too. Thanks again Mario.
>
> --
> MythTV Frontend does not work with RADEON DRI
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>
Sent from New York, United States

pushed back to SRU due to timing concerns.

Changed in mesa (Ubuntu Jaunty):
milestone: ubuntu-9.04 → jaunty-updates
FaberfoX (faberfox) wrote :

I've just dist-upgraded and I get the blank screen with a box in the middle. I have jaunty-updates enabled and these versions

ii libgl1-mesa-dr 7.4-0ubuntu3 A free implementation of the OpenGL API -- D
ii libgl1-mesa-gl 7.4-0ubuntu3 A free implementation of the OpenGL API -- G
ii libglu1-mesa 7.4-0ubuntu3 The OpenGL utility library (GLU)
ii mesa-utils 7.4-0ubuntu3 Miscellaneous Mesa GL utilities

I've enabled Mario's ppa but get no updates as it seems to be in sync with jaunty-updates now.
Disabling dri makes it work but after video is played I get display corruption. Closing and restarting mythfrontend does not fix the corruption requiring X to be restarted.

This is on a thinkpad R40 with ati mobility radeon 7500.
Did anyone on similar hardware had this issue reappering?

Patrik Pira (papira) wrote :

I also still have the same problem as FaberfoX with a Dell D600 with ATI graphics,

lspci says:
ATI Technologies Inc Radeon RV250 [Mobility FireGL 9000] (rev 02)

Fully updated with the following mesa version:

ii libgl1-mesa-dri 7.4-0ubuntu3 A free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-glx 7.4-0ubuntu3 A free implementation of the OpenGL API -- GLX runtime
ii libglu1-mesa 7.4-0ubuntu3 The OpenGL utility library (GLU)
ii mesa-utils 7.4-0ubuntu3 Miscellaneous Mesa GL utilities

FaberfoX (faberfox) wrote :

Ok, updated mesa and xserver-xorg-video-ati with xorg-edgers ppa

ii libgl1-mesa-dri 7.4.1~git20090421+mesa-7 A free implementation of the OpenGL API -- DRI modules
ii libgl1-mesa-glx 7.4.1~git20090421+mesa-7 A free implementation of the OpenGL API -- GLX runtime
ii libglu1-mesa 7.4.1~git20090421+mesa-7 The OpenGL utility library (GLU)
ii mesa-utils 7.4.1~git20090421+mesa-7 Miscellaneous Mesa GL utilities

ii xserver-xorg-video-ati 1:6.12.2.99+git20090420. X.Org X server -- ATI display driver wrapper

DRI still can't be enabled.
Frontend corruption is still present (a few stray pixels on the top of the screen) but now it's usable.

Oliver Freyd (oliver-freyd) wrote :

I have a Kontron kt690 mITX board, with an
ATI Technologies Inc RS690M [Radeon X1200 Series]

I've just dist-upgraded to the mesa-7.4-0ubuntu3 packages
mentioned above, and I still get the unusable mythfrontend,
no fonts and no bitmaps.

I'll attach the output of mythfrontend.real
with a load of X errors, maybe they are helpful...

mccord42 (mccord42) wrote :

I have a Dell Inspiron 1526 laptop with an ATI Xpress 1270 video card.

Fully updated 9.04 with the PPA above I still have no fonts when I open mythfrontend.

Hi guys:

The package on the PPA is the same version as the one in the archive, so the
version in the archive trumps it.

For a workaround for now, can you please launch mythfrontend like this:

XLIB_SKIP_ARGB_VISUALS="1" mythfrontend

On Wed, Apr 22, 2009 at 16:41, mccord42 <email address hidden> wrote:

> I have a Dell Inspiron 1526 laptop with an ATI Xpress 1270 video card.
>
> Fully updated 9.04 with the PPA above I still have no fonts when I open
> mythfrontend.
>
> --
> MythTV Frontend does not work with RADEON DRI
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Mario Limonciello
<email address hidden>

Hi Guys,

I'm fully patched up to date, with Mario's PPA feed, and I'm running Myth fine in DRI.

I'm using an X300 (old card I know), but after Mario's patch and the latest dist-upgrades, I'm still cool.

Just wanted to keep Mario up to date in that the patch works still for some series of cards,

Bon

FaberfoX (faberfox) wrote :

It works with the workaround, but keep in mind I'm using xorg-edgers packages.
Do you want me to downgrade to jaunty-updates packages and report?

Oliver Freyd (oliver-freyd) wrote :

>For a workaround for now, can you please launch mythfrontend like this:
>
>XLIB_SKIP_ARGB_VISUALS="1" mythfrontend

Yes, it works like this for me, great!

BTW, switching off DRI seems to turn off the XVideo extension,
which makes mplayer too slow to show DVB-S Video...

Raybuntu (raybuntu) wrote :

I've updated the actual package from the repo's with Mario's Patch to my PPA. Everything works great now. IMHO the fix should be released now!

Changed in mesa (Ubuntu Karmic):
status: Fix Committed → Triaged
milestone: jaunty-updates → none
Changed in mesa (Ubuntu Jaunty):
status: Fix Committed → Triaged
Ingo Bruell (ibruell) wrote :

i have the same behavior with a:

"01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"

and the radeon driver enabled.

Albert Bicchi (bicchi) wrote :

I am doing a brand new installation and I also encountered this bug. I am using an ATI Radeon 9800 and all I see is a black screen when the time to setup the backend starts.

What I did but still gave me the black screen:
1. I tried doing the backend setup like this: XLIB_SKIP_ARGB_VISUALS="1" mythtv-backend
2. I also tried adding the PPA, refreshing the repositories and installing but also gave me the black screen.
3. Disable DRI after the system rebooted.

Will I have to wait for a new release of Mythbuntu in order to install it? Perhaps someone can give me the steps-by-steps on doing this install using the PPA fix described above.

Thanks

Raybuntu (raybuntu) wrote :

@Albert Bicchi: What video driver do you use? It seems that you've either another driver than "radeon driver" or you've got an other problem. By disabling DRI or using the updated package you should solve the problem.

Stevi (stevi) wrote :

I have the same problem with mobility radeon x1400. The frontend starts. No fonts are displayed. I'm able to navigate to the "watch tv" screen. All I see is a black screen, but sound works. I attach the terminal output. It's something like
"X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 62
  Minor opcode: 0
  Resource id: 0x3800025".

ktmom (laughlin-jb) wrote :

  AMD Athlon(tm) 64 Processor 3000+
  Asus A8V Deluxe MB
  ATI Radeon 9200 128 MB DDR AGP Video Card
  Mythbuntu 9.04 release - 64 bit

Same grey background, text box outline and nothing else problem. Booted to a live CD and Edited the xorg.conf -> Option "DRI" "off" and was able to reboot just fine.

As a newb it was beyond me to figure out how to add a PPA to a system that didn't have a functional display ;)

Chris Samuel (chris-csamuel) wrote :

I have the same issue here after upgrading to Jaunty and tried upgrading to Mario's PPA for Mesa, the XSWAT teams stable Xorg drivers PPA and the 2.6.30-rc4 kernel from the Ubuntu kernel team but sadly none of it helped. In the end the only solution has been to disable DRI for the card.

This is a "ATI Radeon 9250 5960 (AGP)" according to Xorg.conf and an "ATI Technologies Inc RV280 [Radeon 9200 PRO](rev 01)" according to lspci. Worked happily with previous releases.

Chris Samuel (chris-csamuel) wrote :

To clarify my previous comment, the card is an "ATI Radeon 9250 5960 (AGP)" according to Xorg.0.log, not xorg.conf, sorry.

David Dean (ddean-ieee) wrote :

I've got a "VGA compatible controller: ATI Technologies Inc RS690 [Radeon X1200 Series]" according to lspci, and I have just encountered this problem with a recent upgrade from mythbuntu 8.10 to 9.04. My versions of the mesa packages already match Mario's versions, but the `XLIB_SKIP_ARGB_VISUALS="1" mythfrontend` workaround seems to fix the problem for now.

What is the best way to apply this workaround so that I don't have to start `mythfrontend` manually until a proper fix is released? I was thinking of moving `/usr/bin/mythfrontend` to `/usr/bin/mythfrontend.old` and making a new `/usr/bin/mythfrontend` be something like:

     #!/usr/bin/bash -u
     XLIB_SKIP_ARGB_VISUALS="1" mythfrontend.old

Would that be a suitable approach while I await a proper fix in updated packages?

Climbatize (amacie) wrote :

Actually /usr/bin/mythfrontend is actually just a script which in turn launches the mythfrontend executable so as a tempoary fix you can edit this script to add the line:

export XLIB_SKIP_ARGB_VISUALS="1"

for example (this is not the complete file, only an example)

#!/bin/sh
# Mario Limonciello, March 2007
# partially merged with startmythtv.sh by Michael Haas, October 2007

export XLIB_SKIP_ARGB_VISUALS="1"

#source our dialog functions
. /usr/share/mythtv/dialog_functions.sh
....

This will allow mythfrontend to work correctly until the main fix is released.

Chris Samuel (chris-csamuel) wrote :

It's worth noting that the mythfrontend script sources /etc/mythtv/session-settings and as such it's possible to put the line:

export XLIB_SKIP_ARGB_VISUALS="1"

in that config file, rather than the mythfrontend script itself.

That worked for me, though if I tried to set mythfrontend to use the OpenGL painter (as I had under previous releases) rather than the Qt one then I get some nasty artifacts one menu transitions. So I went back to Qt.

barney_1 (szczys) wrote :

Yes, I can confirm that editing /etc/mythtv/session-settings as Christ Samuel suggests fixes the issue.

Stevi (stevi) wrote :

Works for me too!

BrownCoal (faith-is-blind) wrote :

#######################################################
This is a copy of my post (with screenshots) on the Ubuntu Forums, here for reference.
link: http://ubuntuforums.org/showthread.php?p=7375579
#######################################################

Hi,

MythTV is not displaying any text on the frontend or the backend.
I took three screenshots:

1. http://i626.photobucket.com/albums/tt348/89f5hb/MythTV_no_text_bug_screenshot_1.jpg
2. http://i626.photobucket.com/albums/tt348/89f5hb/MythTV_no_text_bug_screenshot_2.jpg
3. http://i626.photobucket.com/albums/tt348/89f5hb/MythTV_no_text_bug_screenshot_3.jpg

I did a Google search for "mythtv "no text"" and it seems to be a problem for numerous people. Four pages where particularly relevant:
1. [url]http://ubuntuforums.org/showthread.php?t=394436#2[/url]
2. [url]http://www.mythtvtalk.com/forum/installation-issues/4400-newbie-help-qt-opengl-now-no-text-menu.html[/url]
3. [url]https://help.ubuntu.com/community/MythTV/FAQs#Troubleshooting[/url]
4. [url]https://lists.ubuntu.com/archives/universe-bugs/2009-March/061860.html[/url]

I installed msttcorefonts but it didn't help. I tried the command "mythfrontend -O ThemePainter=qt" but it didn't fix it. I then tried "mythfrontend -O ThemePainter=openGL" and I was finally able to see the main menu of MythTV, but all of the configuration menus are still blank.

I have a (legacy) ATI Radeon 9600. Jaunty doesn't have a proprietary ATI legacy driver so I must use the open-source one. I think this may be a cause of the problem because when I used the proprietary driver in Intrepid Ibex the text was visible.

Does anyone have a solution?

P.S. Why aren't links differentiated from plain text? I had to highlight and underline the links manually.

Solved.

The solution is to open the file /etc/mythtv/session-settings as sudo and add the text (excluding square brackets) [export XLIB_SKIP_ARGB_VISUALS="1"] at the bottom. (found on the bug report here: [url]https://bugs.launchpad.net/ubuntu/karmic/+source/mesa/+bug/341898/comments/102[/url])

The first proposed solution was to add the line (excluding square brackets) [Option "DRI" "off"] into the file /etc/X11/xorg.conf under the 'Device' section. This approach makes text visible but it disables DRI, which disables hardware acceleration and makes MythTV run almost unusably slow. (Info from here: [url]http://ubuntuforums.org/showthread.php?t=1154240[/url])

This problem SHOULD be fixed in Ubuntu Karmic Koala, set for release in October 2009.

As far as I can tell from this thread, the best current answer of Jaunty+MythTV users with ATI video cards was given here https://bugs.launchpad.net/ubuntu/+source/mythtv/+bug/341898/comments/87

That was six weeks ago. Is there going to be an update to fix the underlying problem in the near term?

I can confirm that export XLIB_SKIP_ARGB_VISUALS="1" works for me.

However, I found out two other "workarounds". When I install xorg-driver-fglrx after logging in and neither restart nor run "aticonfig --initial" Mythtv runs perfectly. Of course I need to uninstall the fglrx driver before restarting the X-Server as my X1650 is not supported by ATI any more :-(

The second workaround which works most of the time is to start the frontend as one user, let the black box as is on the desktop, switch to another user and start the frontend again.

Maybe it helps to find the real problem...

I just tried the same on the master backend server in my network and there it doesn't work. It has a ATI Radeon X300SE in it.

/var/log/mythtv/mythfrontend.log has a lot of those messages

X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 2
  Minor opcode: 0
  Resource id: 0x1c0000e
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 149
  Minor opcode: 4
  Resource id: 0x28
X Error: RenderBadPicture (invalid Picture parameter) 160
  Major opcode: 149
  Minor opcode: 6
  Resource id: 0x1c0001a
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 56
  Minor opcode: 0
  Resource id: 0x0
X Error: RenderBadPicture (invalid Picture parameter) 160
  Major opcode: 149
  Minor opcode: 5
  Resource id: 0x1c0001a

Martin Pitt (pitti) wrote :

Any chance that someone could try this on Karmic alpha-2, and update to the latest mesa snapshot in https://launchpad.net/~xorg-edgers/+archive/ppa ?

Martin Pitt (pitti) wrote :

Can people who affected by this please upgrade to latest karmic, reboot (to get Linux 2.6.31) and check if this is fixed, or the behavior changed? Thanks!

jj.myrup (jj-myrup) wrote :

I was affected and can confirm that after installing the latest karmic it is no longer a problem on my system.

Thanks a lot for the fix!

jj.myrup (jj-myrup) wrote :

By the way I do have a odd screen behavior on the latest karmic, but I doubt it has anything to do with this bug fix. The odd behavior is that I have a small black rectangle constantly on my screen. It is "above" all applications, but "below" the mouse cursor. The rectangle is about the size of the mouse cursor.

Can you confirm the Mesa version in karmic you are using that is
fixed? Or at least thy live cd version you are using that is fixed?

On 07/03/2009, jj.myrup <email address hidden> wrote:
> By the way I do have a odd screen behavior on the latest karmic, but I
> doubt it has anything to do with this bug fix. The odd behavior is that
> I have a small black rectangle constantly on my screen. It is "above"
> all applications, but "below" the mouse cursor. The rectangle is about
> the size of the mouse cursor.
>
> --
> MythTV Frontend does not work with RADEON DRI
> https://bugs.launchpad.net/bugs/341898
> You received this bug notification because you are a member of MythTV
> Ubuntu Maintainers, which is subscribed to mythtv in ubuntu.
>

--
Sent from my mobile device

Mario Limonciello
<email address hidden>

Just a note, adding the Option "DRI" "off" to my xorg.conf enabled the fonts on my MythTV, but then Boxee was blank when I opened it. When the option was removed, MythTV's frontend is once again blank, and Boxee wonks.

I'm using a MonolithMC (company no longer responsive) machine from last year with an RS690 [Radeon X1200 Series] that worked OK for MythTV (but not Boxee) until the Jaunty upgrade.

jj.myrup (jj-myrup) wrote :

I am not sure how to find the versions you ask for, but in /usr/lib/ I have file: libGLU.so.1.3.070500. That might tell you which Mesa version I have?

I downloaded Karmic alpha 2, but it didn't have the kernel version that Martin Pitt requested, but after an update it had 2.6.31-1-generic

jj.myrup [2009-07-05 11:33 -0000]:
> I am not sure how to find the versions you ask for, but in /usr/lib/ I
> have file: libGLU.so.1.3.070500. That might tell you which Mesa version
> I have?

dpkg -l libgl1-mesa-dri

> I downloaded Karmic alpha 2, but it didn't have the kernel version that
> Martin Pitt requested, but after an update it had 2.6.31-1-generic

Right, you need to update the system after installation. You can also
check the current daily CDs and their live system.

http://cdimage.ubuntu.com/daily-live/current/

Thanks,

Martin

jj.myrup (jj-myrup) wrote :

Here is the output of "dpkg -l libgl1-mesa-dri":

| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-==============-==============-============================================
ii libgl1-mesa-dr 7.5~rc4-1ubunt A free implementation of the OpenGL API -- D

Tomasz Czapiewski (xeros) wrote :

It looks like this bug still exists in updated Kubuntu Jaunty.
My card: ATI Radeon 9600 (RV350) using open source 'radeon' driver.

Packages:
xserver-xorg-video-radeon 1:6.12.1-0ubuntu2
mythtv 0.21.0+fixes19961-0ubuntu8
xserver-xorg 1:7.4~5ubuntu18
xserver-xorg-core 2:1.6.0-0ubuntu14
libgl1-mesa-dri 7.4-0ubuntu3.2

I've just installed mythtv (for the first time in Jaunty).
Mythtv, mythfrontend and even mythtv-setup windows are not being displayed/refreshed and many bugs in terminal:
X Error: BadMatch (invalid parameter attributes) 8
  Major opcode: 62
  Minor opcode: 0
  Resource id: 0x3800030.

Adding 'export XLIB_SKIP_ARGB_VISUALS="1"' to /etc/mythtv/session-settings didn't help but running the application by 'XLIB_SKIP_ARGB_VISUALS="1" mythfrontend' from console helps.

AttilioSuccio (ehol) wrote :

I can confirm the last comment of Tomasz Czapiewski :
with the same packages installed (i have the proposed repo enabled too), only running the application by console using the dreaded "XLIB_SKIP_ARGB_VISUALS="1" mythfrontend" works.
If I put it in the scripts (mythfrontend or mythtv-setup), it works too.

oblong (bob-oblong) wrote :

Thanks to everybody who helped on this. My report is for Ubuntu 9.04 with Mythbuntu 9.04 using Radeon 9200 (RX280) using the open source radeon driver (I think; I uninstalled fglrx with: sudo apt-get remove --purge xorg-driver-fglrx).

For me, adding 'export XLIB_SKIP_ARGB_VISUALS="1"' to /etc/mythtv/session-settings didn't help. But inserting:

export XLIB_SKIP_ARGB_VISUALS="1"
into the file:
/usr/share/mythtv/mythfrontend.sh

did work.

Bryce Harrington (bryce) on 2009-08-20
summary: - MythTV Frontend does not work with RADEON DRI
+ (Needs mesa 529d1d72) MythTV Frontend does not work with RADEON DRI
Bryce Harrington (bryce) wrote :

In talking with mario it seems this bug is an aggregation of several unrelated bug reports. The one confirmed mesa bug is fixed by commit 529d1d72, the other issue(s) are debatable whether the fault is mesa, qt, or whatever. So I guess until we know more we can consider the _mesa_ task to be solved when that commit is available.

According to mario, the remaining issue(s) will go away when QT4 is added to mythbuntu, which he plans to investigate soonish. So someone may wish to open a task against qt for that or something. If it turns out that this does *not* fix the issue after all, I would suggest that this bug report be closed anyway, and new bug reports opened (one bug report per issue) to make it easier to keep track of the different bugs' statuses.

Bryce Harrington (bryce) on 2009-08-21
Changed in mesa (Ubuntu Karmic):
assignee: Mario Limonciello (superm1) → Bryce Harrington (bryceharrington)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mesa - 7.6.0~git20090817.7c422387-0ubuntu1

---------------
mesa (7.6.0~git20090817.7c422387-0ubuntu1) karmic; urgency=low

  [Bryce Harrington]
  * Checkout from git 20090817 (master branch) up to commit
    7c4223876b4f8a78335687c7fcd7448b5a83ad10
    + Add DRI2 support to -ati
      (LP: #329654, #404428, #327698, #321108)
    + Fix portion of MythTV Frontend does not work with RADEON DRI
      (LP: #341898)
    + Fix selection mode on RS482
      (LP: #273329)
    + Fix issue running 3D acceleration games on ATI chipsets
      (LP: #374590)
    + Provide DRI2 swap buffers
      (LP: #377090)
    + Fix blender unusable with UXA when DRI2 enabled
      (LP: #353763)
  * Drop 108_bo_assertion.patch (applied upstream)

  [Robert Hooker]
  * Only added debian/ tree from origin/ubuntu
  * Enable r600 driver. Note that it requires seperate drm modules
    not provided in this PPA or in ubuntu, and also does not work with
    KMS.

 -- Bryce Harrington <email address hidden> Fri, 21 Aug 2009 16:13:50 -0700

Changed in mesa (Ubuntu Karmic):
status: In Progress → Fix Released
Mario Limonciello (superm1) wrote :

So I can confirm that for Karmic this is fixed with our move to MythTV 0.22 which is QT4 based. QT3 apps might run into this problem still however. The bug is between mesa and QT3's interactions, but since QT3 is no longer developed would need to be fixed in mesa if it were to be fixed.

Changed in mesa (Ubuntu Jaunty):
status: Triaged → Won't Fix
Changed in java-common (Ubuntu Jaunty):
status: New → Invalid
Changed in java-common (Ubuntu Karmic):
status: New → Invalid
tags: added: iso-testing
Changed in xorg-server:
importance: Unknown → Medium
Changed in xorg-server:
importance: Medium → Unknown
Changed in xorg-server:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.